CStackSelector.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/routines/pbori_func.h>`
`#include "CTermStack.h"`
`#include <iterator>`
`#include <polybori/orderings/COrderingTags.h>`

Go to the source code of this file.

## Classes

class | polybori::CStackSelector< OrderType, NaviType, BaseType >

## Namespaces

| polybori

## Constant Groups

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2007-05-03

This file defines the template class CStackSelector, whose only use is to generate the correct (term-)stack type for a given ordering.

Copyright:
  (c) 2007 by The PolyBoRi Team